Subject: [ietf-dkim] errata revision: Identity Assessor vs. Message Filtering engine

From: Dave CROCKER <[email-masked]>
Date: Wed, 25 Mar 2009 17:02:55 -0700

Folks,

The following is offered to prime the discussion/decision process for the one of
the pending Errata items, developed in the SF working group meeting. It reflects
what I heard as the gist of the group preference. Obviously, I might have
entirely misunderstood...

So, anything that permits progress is encouraged, such as "looks good", "change
x to y", and "replace the whole thing with this different chunk of text".  There
are no doubt other constructive responses, but this ought to establish the tone...

"Old" refers to the Errata I-D; "New" is the proffered replacement.

CAVEAT:

    This last-of-three postings affects the same section of text as the Assessor 
revision posting, but attends to a different issue.  I've only just gotten 
clarification on what this third item was to be, so here's another apology for a 
bit of confusion.

    Had I remembered all 3 items I would have tried to merge this with the other 
Assessor change, which is what the current note attempts:

8.  RFC4871 Section 2.11 Identity Assessor

    Old:
       The name of the module that consumes DKIM's primary payload, the
       responsible Signing Domain Identifier (SDID).  It can optionally
       consume the Agent or User Identifier (AUID) value, if provided to
       the module.

    New:
       The name of the module that consumes DKIM's mandatory payload, the
       responsible Signing Domain Identifier (SDID). The module is dedicated
       to the assessment of the delivered name.  Other DKIM (and non-DKIM)
       values can also be delivered to this module as well as to a more general
       message evaluation filtering engine. However this additional activity
       is outside the scope of the DKIM signature specification.

OK.  Start shooting.

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "Siegel, Ellen" <[email-masked]>
Date: Wed, 25 Mar 2009 20:24:47 -0400

> -----Original Message-----
> 

Can you explain why you used "dedicated to the assessment of the delivered name" rather than "... of the delivered identifier"? I can live with it either way, but it seems strange to say that it consumes an identifier but assesses a name. 

Aside from that, it looks fine to me. 

Ellen

---

From: Barry Leiba <[email-masked]>
Date: Wed, 25 Mar 2009 20:54:41 -0400

<participant>I like this text.</participant>

Barry

---

From: Suresh Ramasubramanian <[email-masked]>
Date: Thu, 26 Mar 2009 07:28:15 +0530

I'd probably say 'freudian slip' for that.  And +1 for text with
Ellen's change below.

---

From: Al Iverson <[email-masked]>
Date: Wed, 25 Mar 2009 21:14:34 -0500

+1 Agree with Ellen and Suresh.

-- 
Al Iverson on Spam and Deliverability, see http://www.spamresource.com
News, stats, info, and commentary on blacklists: http://www.dnsbl.com
My personal website: http://www.aliverson.com   --   Chicago, IL, USA

---

From: Eliot Lear <[email-masked]>
Date: Thu, 26 Mar 2009 07:01:25 +0100

>         is outside the scope of the DKIM signature specification.

+1.

Eliot

---

From: Jim Fenton <[email-masked]>
Date: Thu, 26 Mar 2009 11:10:20 -0700

+1 with Ellen's change.

-Jim

---

From: Jeff Macdonald <[email-masked]>
Date: Thu, 26 Mar 2009 20:20:18 -0400

+1

-- 
Jeff Macdonald
[email-masked]

---

From: "J.D. Falk" <[email-masked]>
Date: Fri, 27 Mar 2009 16:15:07 -0600

+1

-- 
J.D. Falk
Return Path Inc
http://www.returnpath.net/
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html